--- old/usr/src/Makefile.master	2014-04-11 13:24:01.317074245 +0100
+++ new/usr/src/Makefile.master	2014-04-11 13:24:01.325436239 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2014 Andrew Stormont.
 #
 
 #
@@ -246,8 +247,7 @@
 # architectures on which we do not build 64-bit versions.
 # (There are no such architectures at the moment.)
 #
-# Set BUILD64=# in the environment to disable 64-bit amd64
-# builds on i386 machines.
+# Set BUILD64=# in the environment to disable 64-bit builds.
 
 MACH64_1=	$(MACH:sparc=sparcv9)
 MACH64=		$(MACH64_1:i386=amd64)
@@ -255,9 +255,13 @@
 MACH32_1=	$(MACH:sparc=sparcv7)
 MACH32=		$(MACH32_1:i386=i86)
 
-sparc_BUILD64=
-i386_BUILD64=
-BUILD64=	$($(MACH)_BUILD64)
+BUILD64=
+sparc_BUILD64=	$(POUND_SIGN)
+i386_BUILD64=	$(POUND_SIGN)
+$($(MACH)_BUILD64)=	$(BUILD64)
+
+NOT_BUILD64=
+$(BUILD64)NOT_BUILD64=	$(POUND_SIGN)
 
 #
 # C compiler mode. Future compilers may change the default on us,
